# How to run locally the functional tests

Main ideas:

* Comptoir is built from the repos
* E2E-testing container is built locally, so that one can quickly develop and verify his/her functional tests 

## 1. Set current branch name

Set the current branch name in `Docker/compose-Comptoir.yml`

The branch *must* exist on the repos. This is the branch Comptoir is built onto.

## 2. Have a local Comptoir in Docker

* **Caution**: if you ever have a Postgres running locally on port 5432, first you'll have to stop it (instead the container we want to build won't run)
* From the `Docker/` directory of the Comptoir du Libre project, run `docker-compose -f ./compose-Comptoir.yml up -d`.
* All the tests will be executed onto this container, made visible through `<local-ip-address>:8080`

## 3. Adjust IP Address

In file `tests/Functional_Tests/settings.py`, adjust the IP address to your own IP address (the one running your Comptoir container)

## 4. Launch the tests

Get into directory `Docker/E2E-Testing-local/` (required), then launch `run.sh`. This script builds the docker image then runs the functional tests.

## Tips

This command line may be useful:

```
cd Docker/E2E_testing

for i in docker_postgres_comptoir_1 docker_comptoir_1 e2e_testing; do 
    docker stop $i ; 
    docker rm $i ; 
done
docker-compose -f ../compose-Comptoir.yml up -d
./run.sh
```

In one line:

```
for i in docker_postgres_comptoir_1 docker_comptoir_1 e2e_testing; do docker stop $i ; docker rm $i ; done ; docker-compose -f ../compose-Comptoir.yml up -d ; ./run.sh
```
