#!/usr/bin/env bash

# Shell script to build the E2E_testing image

# /!\ must be run from this very directory

# ====== Step 1 =====
# Copy tests files here so they can be included within the Docker image
rsync -av --delete ../../tests .

# ====== Step 2 =====
# Build the Docker Image
# Note: if building is too slow, maybe add the following options to the docker build: --ulimit nofile=1024
# See https://askubuntu.com/questions/991773/package-installations-are-very-slow-in-docker-build
docker build . -t comptoir/e2e_testing --ulimit nofile=1024

# ====== Step 3 =====
# Launch the tests
docker run --name e2e_testing comptoir/e2e_testing /bin/bash -c "
    python -m unittest discover --failfast --verbose --start-directory tests/Functional_Tests/ --pattern *.py
    "
