# Internationalisation (i18n) with CakePHP

## Workflow to be followed

1. re-create template files (.pot)
2. update the translation files (.po)

## Pre-requisites

```
apt install gettext
```

## Task: re-create template (.pot) files

From the root directory of the project, to generate all the .pot files (templates for translation), do:

```
bin/cake i18n extract --output ./src/Locale/ --paths ./src/ --extract-core no --exclude Test,vendor --merge no
```

## Task: update translation file (.po) from template (.pot) file

```
MYFILE="Email"
msgmerge --update --verbose fr/${MYFILE}.po ${MYFILE}.pot --force-po
msgmerge --update --verbose en/${MYFILE}.po ${MYFILE}.pot --force-po
```
