# Create a release for Comptoir-srv

## 1. Change version in source code

* Create an issue "prepare vX.Y.Z" and the associated branch + merge request.
* On this branch:
    * change the version in `config/bootstrap.php`
    * update `CHANGELOG.md`
    * create the upgrade doc in `Documentation/For_ops/UPGRADE`
    * Update release note of tag in Gitlab
* Eventually make other adjustments

## 2. Merge, tag and push

Once the MR for "prepare vX.Y.Z" is OK **in develop**:

```sh
git checkout master
MYTAG="vX.Y.Z"
git merge develop --no-ff -m "Comptoir $MYTAG"
git tag -a $MYTAG -m "$MYTAG"
git push origin master
git push origin $MYTAG
```

## 3. Run functional tests

1. Install release on a pre-prod environment
2. Run automated functional tests
3. Run [manual tests](../../tests/Manual_tests/README.md)
