<?php
use Migrations\AbstractMigration;

class AddWebSiteUrlToSoftwares extends AbstractMigration
{
    /**
     * Change Method.
     *
     * More information on this method is available here:
     * http://docs.phinx.org/en/latest/migrations.html#the-change-method
     * @return void
     */
    public function change()
    {
        $table = $this->table('softwares');
        $table->addColumn('web_site_url', 'string', [
            'default' => null,
            'limit' => 255,
            'null' => true,
        ]);
        $table->addIndex([
            'web_site_url',
        ], [
            'name' => 'UNIQUE_WEB_SITE_URL',
            'unique' => true,
        ]);
        $table->update();
    }
}
