<?php
namespace App\Controller\Component;

use Cake\Controller\Component;
use Cake\ORM\TableRegistry;


/**
 * This component's goal it's to get all validation rules.
 */
class ValidationRulesComponent extends Component
{


    public $fields;

    protected $tableRegistry ;
    protected $validator ;

    public $rules =[];



    public function initialize(array $config)
    {
        parent::initialize($config); // TODO: Change the autogenerated stub

        $this->set("tableRegistry",TableRegistry::get( $this->_registry->getController()->modelClass) );
        $this->set("validator",$this->tableRegistry->validator('default'));
    }

    /**
     * Magic setter.
     *
     * @param string $name Property name.
     * @param mixed $value Value to set.
     * @return void
     */
    public function set($name, $value)
    {
        $this->{$name} = $value;
    }


    public function get ($fieldName = null , $ruleName=null)
    {
        if (!$fieldName && !$ruleName){
            foreach ($this->validator->getIterator() as $field => $rules) {
                $this->rules[$field]  = [
                    "presenceRequired" => $rules->isPresenceRequired(),
                    "allowEmpty" => $rules->isEmptyAllowed(),
                    ];
                foreach ($rules as $key => $rule){
                    $this->rules[$field] += [
                        $key => [
                            "rule"=>$rule->get('rule'),
                            "message"=>$rule->get('message'),
                            "limit" => \Cake\Utility\Hash::get($rule->get('pass'),'0'),
                        ]
                    ];
                }
            }
        }

        else {
            $rulesList = $this->validator->field($fieldName);
            foreach ($rulesList as $key => $rule) {
                $this->rules += [
                    $key => [
                        "rule"=>$rule->get('rule'),
                        "message"=>$rule->get('message'),
                        "limit" => \Cake\Utility\Hash::get($rule->get('pass'),'0'),
                    ]
                ];
            }
        }

        return $this->rules;

    }

}
