<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;
 use Cake\Auth\DefaultPasswordHasher;

/**
 * User Entity.
 *
 * @property int $id
 * @property string $username
 * @property \Cake\I18n\Time $created
 * @property string $logo_directory
 * @property string $url
 * @property int $user_type_id
 * @property \App\Model\Entity\UserType $user_type
 * @property string $description
 * @property \Cake\I18n\Time $modified
 * @property string $role
 * @property string $password
 * @property string $email
 * @property $photo
 */
class User extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        '*' => true,
        'id' => false,
    ];

    /**
     * Fields that are excluded from JSON versions of the entity.
     *
     * @var array
     */
    protected $_hidden = [
        'password',
        'digest_hash',
        'email',
        'token',
        'active',
        '_joinData',
        '_matchingData'
    ];

    protected function _setPassword($password)
    {
        if (strlen($password) > 0) {
            return (new DefaultPasswordHasher)->hash($password);
        }
    }
}
