<?php

/**
 * This template contains all information for the footer
 */
?>

<footer class="row">
    <div>
        <?php echo __d("Pages", "Comptoir du Libre version ") . \Cake\Core\Configure::read("VERSION.footer") ?> -

        <?php if ($this->request->isHere("legal")): ?>
            <span><?=  __d("Home", "Legal") ?></span>
        <?php elseif (!$this->request->isHere("legal")): ?>
            <?= $this->Html->link(__d("Home", "Legal"),
                ['prefix'=>false, 'controller'=> 'Pages', 'action'=>'legal'],
                ['escape' => false]) ?> -
        <?php endif; ?>

        <?php if ($this->request->isHere("accessibility")): ?>
            <span><?=  __d("Home", "Accessibility") ?></span>
        <?php elseif (!$this->request->isHere("contact")): ?>
            <?= $this->Html->link(__d("Home", "Accessibility"),
                ['prefix'=>false, 'controller'=> 'Pages', 'action'=>'accessibility'],
                ['escape' => false]) ?> -
        <?php endif; ?>

        <?php if ($this->request->isHere("contact")): ?>
        <span><?= __d("ElementNavigation", "Contact") ?></span>
                <?php elseif (!$this->request->isHere("contact")): ?>
                        <?= $this->Html->link(__d("ElementNavigation", "Contact"),
                            ['prefix'=>false, 'controller'=> 'Pages', 'action'=>'contact'],
                            ['escape' => false]) ?>
                <?php endif; ?> -

        <?php foreach($availableLanguages as $lang => $alias): ?>
            <?php if ($alias === $selectedLanguage) continue; ?>
            <?php $pass = $this->request->data('search') ?>
            <span>
                <?= $this->Html->link(ucfirst($explicitLanguages[$lang]), [
                    'language' => $lang,
                    'controller' => $this->request->param('controller'),
                    'action' => $this->request->param('action'),
                    $this->request->param('id'),
                    "prefix"=>false,
                    "?"=> isset($pass) ? ['search'=> $pass ]: null
                ],["lang"=>$lang, "title"=> __d("Pages","menu.switch")])?>
            </span>
        <?php endforeach; ?>
    </div>
    <div>
        <?= $this->Html->link(
                $this->Html->image("logos/Logo_FEDER.png",
                    ["alt" => "Fonds Européen de Développement Régional", "id" => "Feder-logo"]),
                "http://www.europe-en-occitanie.eu/FEDER-FSE-IEJ/#FEDER-FSE-IEJ-LR",
                ['escape' => false, "target" => "_blank"]) ?>
    </div>
</footer>

