<?php

namespace App\TestSuite\Codeception;

/**
 * Inherited Methods
 * @method void wantToTest($text)
 * @method void wantTo($text)
 * @method void execute($callable)
 * @method void expectTo($prediction)
 * @method void expect($prediction)
 * @method void amGoingTo($argumentation)
 * @method void am($role)
 * @method void lookForwardTo($achieveValue)
 * @method void comment($description)
 * @method \Codeception\Lib\Friend haveFriend($name, $actorClass = NULL)
 *
 * @SuppressWarnings(PHPMD)
 */
class AcceptanceTester extends \Codeception\Actor
{
    use _generated\AcceptanceTesterActions;


    /**
     * With $email as login,
     * $password as password,
     * $userName as name display when you are connected.
     *
     * @param $email
     * @param $password
     * @param $userName
     */
    public function loginMe($email, $password, $userName)
    {
        $I = $this;
        $I->amOnPage('/');
        $I->click('//nav/ul[2]/li[3]/a');
        $I->seeInCurrentUrl('/users/login');
        $I->submitForm('#signinform', [
            'email' => $email,
            'password' => $password
        ]);
        $I->canSeeLink($userName, ('/'));
    }

    public function logoutMe($userName)
    {
        $I = $this;
        $I->see($userName);
        $I->click('//nav/ul[2]/li[2]/ul/li[2]/a');
        $I->canSeeInCurrentUrl('/users/login');
        $I->dontSee($userName);
    }
}
