<?php

namespace App\Test\Acceptance;

use App\TestSuite\Codeception\AcceptanceTester;

class checkSearchCest
{
    // @codingStandardsIgnoreStart
    public function _before(AcceptanceTester $I)// @codingStandardsIgnoreEnd
    {
        $I->amOnPage('/');
        $I->seeInTitle('Comptoir du libre');
    }

    // @codingStandardsIgnoreStart
    public function _after(AcceptanceTester $I)// @codingStandardsIgnoreEnd
    {
    }

    // Test the search functionality from the home page
    public function checkSearchWithWordUjdrhouigrfedft(AcceptanceTester $I)
    {
        $I->submitForm('//*[@id="navbar-search"]', ['search' => 'Ujdrhouigrfedft'], 'submit');
        $I->seeInCurrentUrl('pages/search?search=Ujdrhouigrfedft');
        $I->See('Aucun résultat pour ');
        $I->seeElement('//h2[1]');
        $I->see('Aucun logiciel pour');
        $I->seeElement('//h2[2]');
        $I->see('Aucun utilisateur pour');
    }

    public function checkSearchWithWordMailWithoutAnySortBy(AcceptanceTester $I)
    {
        $SoftwareWithWordMail1st = '//ol/li[1]/div/a[@href="/fr/softwares/46"]'; // FusionDirectory
        $SoftwareWithWordMail4th = '//ol/li[4]/div/a[@href="/fr/softwares/50"]'; // KeePass
        $SoftwareWithWordMail5th = '//ol/li[5]/div/a[@href="/fr/softwares/28"]'; // LinShare

        $I->submitForm('//*[@id="navbar-search"]', ['search' => 'mail'], 'submit');
        $I->seeInCurrentUrl('pages/search?search=mail');
        $I->dontSee('Aucun résultat pour');
        $I->seeElement($SoftwareWithWordMail1st);
        $I->seeElement($SoftwareWithWordMail4th);
        $I->seeElement($SoftwareWithWordMail5th);
        $I->dontSeeElement('//section[2]/ol');
    }

    public function checkSearchWithWordLibreWithoutAnySortBy(AcceptanceTester $I)
    {
        $SoftwareWithWordLibre1st = '//ol/li[1]/div/a[@href="/fr/softwares/29"]'; // Alfresco
        $SoftwareWithWordLibre4th = '//ol/li[4]/div/a[@href="/fr/softwares/79"]'; // Grammalect
        $SoftwareWithWordLibre15th = '//ol/li[15]/div/a[@href="/fr/softwares/59"]'; // ProjectLibre
        $UserWithWordLibre1st = '//ol/li[1]/div/a[@href="/fr/users/57"]'; // 2i2L
        $UserWithWordLibre8th = '//ol/li[8]/div/a[@href="/fr/users/68"]'; // Opendsi
        $UserWithWordLibre12th = '//ol/li[12]/div/a[@href="/fr/users/66"]'; // teclib

        $I->submitForm('//*[@id="navbar-search"]', ['search' => 'libre'], 'submit');
        $I->seeInCurrentUrl('pages/search?search=libre');
        $I->dontSee('Aucun résultat pour');
        $I->seeElement($SoftwareWithWordLibre1st);
        $I->seeElement($SoftwareWithWordLibre4th);
        $I->seeElement($SoftwareWithWordLibre15th);
        $I->seeElement($UserWithWordLibre1st);
        $I->seeElement($UserWithWordLibre8th);
        $I->seeElement($UserWithWordLibre12th);
    }

    public function checkSearchWithWordLibReWithoutAnySortByCaseSensitive(AcceptanceTester $I)
    {
        $SoftwareWithWordLibre1st = '//ol/li[1]/div/a[@href="/fr/softwares/29"]'; // Alfresco
        $SoftwareWithWordLibre4th = '//ol/li[4]/div/a[@href="/fr/softwares/79"]'; // Grammalect
        $SoftwareWithWordLibre15th = '//ol/li[15]/div/a[@href="/fr/softwares/59"]'; // ProjectLibre
        $UserWithWordLibre1st = '//ol/li[1]/div/a[@href="/fr/users/57"]'; // 2i2L
        $UserWithWordLibre8th = '//ol/li[8]/div/a[@href="/fr/users/68"]'; // Opendsi
        $UserWithWordLibre12th = '//ol/li[12]/div/a[@href="/fr/users/66"]'; // teclib

        $I->submitForm('//*[@id="navbar-search"]', ['search' => 'LiBRe'], 'submit');
        $I->seeInCurrentUrl('pages/search?search=LiBRe');
        $I->dontSee('Aucun résultat pour');
        $I->seeElement($SoftwareWithWordLibre1st);
        $I->seeElement($SoftwareWithWordLibre4th);
        $I->seeElement($SoftwareWithWordLibre15th);
        $I->seeElement($UserWithWordLibre1st);
        $I->seeElement($UserWithWordLibre8th);
        $I->seeElement($UserWithWordLibre12th);
    }

    public function checkSearchWithWordLibreWithFilterReview(AcceptanceTester $I)
    {
        $SoftwareWithWordLibre1st = '//ol/li[1]/div/a[@href="/fr/softwares/29"]'; // Alfresco
        $SoftwareWithWordLibre4th = '//ol/li[4]/div/a[@href="/fr/softwares/26"]'; // Publik
        $SoftwareWithWordLibre5th = '//ol/li[5]/div/a[@href="/fr/softwares/4"]'; // i-Parapheur
        $UserWithWordLibre1st = '//ol/li[1]/div/a[@href="/fr/users/57"]'; // 2i2L
        $UserWithWordLibre8th = '//ol/li[8]/div/a[@href="/fr/users/68"]'; // Opendsi
        $UserWithWordLibre12th = '//ol/li[12]/div/a[@href="/fr/users/66"]'; // teclib

        $I->amOnPage('pages/search?search=LiBRe');
        $I->selectOption('//form/div[2]/select', 'true');
        $I->click('Filter');
        $I->dontSee('Aucun résultat pour');
        $I->seeElement($SoftwareWithWordLibre1st);
        $I->seeElement($SoftwareWithWordLibre4th);
        $I->seeElement($SoftwareWithWordLibre5th);
        $I->seeElement($UserWithWordLibre1st);
        $I->seeElement($UserWithWordLibre8th);
        $I->seeElement($UserWithWordLibre12th);
    }


}
