<?php

namespace App\Test\Acceptance;

use App\TestSuite\Codeception\AcceptanceTester;

class checkUsersSortByCest
{
    // @codingStandardsIgnoreStart
    public function _before(AcceptanceTester $I)// @codingStandardsIgnoreEnd
    {
        $I->amOnPage('/users');
        $I->seeInTitle('Listes des utilisateurs');
    }

    // @codingStandardsIgnoreStart
    public function _after(AcceptanceTester $I)// @codingStandardsIgnoreEnd
    {
    }

    // tests
    public function checkUsersSortByAscWithSoftwareDeclare(AcceptanceTester $I)
    {
        $UserSortByAscWithSoftware1st = ('//ol/li[1]/div/a[@href="/fr/users/30"]'); // Cogitis
        $UserSortByAscWithSoftware5th = ('//ol/li[5]/div/a[@href="/fr/users/37"]'); // Centre De Gestion Nord
        $UserSortByAscWithSoftware22th = ('//ol/li[22]/div/a[@href="/fr/users/48"]'); // Syndicat Mixte somme Numerique..

        $I->selectOption('//form/div[1]/select', 'true');
        $I->click('Filter');
        $I->seeOptionIsSelected('//form/div[1]/select', 'Oui');
        $I->seeOptionIsSelected('//form/div[5]/select', 'Ordre alphabétique : A-Z');
        $I->seeElement($UserSortByAscWithSoftware1st);
        $I->seeElement($UserSortByAscWithSoftware5th);
        $I->seeElement($UserSortByAscWithSoftware22th);
    }

    public function checkUsersSortByAscWithReviewPosted(AcceptanceTester $I)
    {
        $UserSortByAscWithReview1st = ('//ol/li[1]/div/a[@href="/fr/users/30"]'); // Cogitis
        $UserSortByAscWithReview3th = ('//ol/li[3]/div/a[@href="/fr/users/42"]'); // Communauté d'Agglomération Sud...
        $UserSortByAscWithReview6th = ('//ol/li[6]/div/a[@href="/fr/users/15"]'); // Ville de Paris

        $I->selectOption('//form/div[2]/select', 'true');
        $I->click('Filter');
        $I->seeOptionIsSelected('//form/div[2]/select', 'Oui');
        $I->seeOptionIsSelected('//form/div[5]/select', 'Ordre alphabétique : A-Z');
        $I->seeElement($UserSortByAscWithReview1st);
        $I->seeElement($UserSortByAscWithReview3th);
        $I->seeElement($UserSortByAscWithReview6th);
    }

    public function checkUsersSortByAscWithServiceProviderDeclareOnSoftware(AcceptanceTester $I)
    {
        $UserSortByAscWithServProvider1st = ('//ol/li[1]/div/a[@href="/fr/users/75"]'); // AF83
        $UserSortByAscWithServProvider4th = ('//ol/li[4]/div/a[@href="/fr/users/6"]'); // Libriciel SCOP
        $UserSortByAscWithServProvider10th = ('//ol/li[10]/div/a[@href="/fr/users/132"]'); // Syloé

        $I->selectOption('//form/div[3]/select', 'true');
        $I->click('Filter');
        $I->seeOptionIsSelected('//form/div[3]/select', 'Oui');
        $I->seeOptionIsSelected('//form/div[5]/select', 'Ordre alphabétique : A-Z');
        $I->seeElement($UserSortByAscWithServProvider1st);
        $I->seeElement($UserSortByAscWithServProvider4th);
        $I->seeElement($UserSortByAscWithServProvider10th);
    }

    public function checkUsersSortByAscAsAdministration(AcceptanceTester $I)
    {
        $UserSortByAscAsAdministration1st = ('//ol/li[1]/div/a[@href="/fr/users/30"]'); // Cogitis
        $UserSortByAscAsAdministration12th = ('//ol/li[12]/div/a[@href="/fr/users/43"]'); // conseil Départemental Côtes...
        $UserSortByAscAsAdministration33th = ('//ol/li[33]/div/a[@href="/fr/users/35"]'); // ville Saint Ouen

        $I->selectOption('//form/div[4]/select', 'Administration');
        $I->click('Filter');
        // $I->seeOptionIsSelected('//form/div[4]/select', 'Oui');
        $I->seeOptionIsSelected('//form/div[5]/select', 'Ordre alphabétique : A-Z');
        $I->seeElement($UserSortByAscAsAdministration1st);
        $I->seeElement($UserSortByAscAsAdministration12th);
        $I->seeElement($UserSortByAscAsAdministration33th);
    }

    public function checkUsersSortByAscAsPerson(AcceptanceTester $I)
    {
        $UserSortByAscAsPerson1st = ('//ol/li[1]/div/a[@href="/fr/users/130"]'); // Christophe
        $UserSortByAscAsPerson5th = ('//ol/li[5]/div/a[@href="/fr/users/86"]'); // Julie Gauthier
        $UserSortByAscAsPerson8th = ('//ol/li[8]/div/a[@href="/fr/users/131"]'); // benasse

        $I->selectOption('//form/div[4]/select', 'Person');
        $I->click('Filter');
        // $I->seeOptionIsSelected('//form/div[4]/select', 'Individu');
        $I->seeOptionIsSelected('//form/div[5]/select', 'Ordre alphabétique : A-Z');
        $I->seeElement($UserSortByAscAsPerson1st);
        $I->seeElement($UserSortByAscAsPerson5th);
        $I->seeElement($UserSortByAscAsPerson8th);
    }

}
