<?php

namespace App\Test\Acceptance;

use App\TestSuite\Codeception\AcceptanceTester;
use Codeception\Util\Locator;

class ckeckSoftwaresSortByCest
{
    // @codingStandardsIgnoreStart
    public function _before(AcceptanceTester $I)// @codingStandardsIgnoreEnd
    {
        $I->amOnPage('/softwares');
        $I->seeInTitle('Liste des logiciels sur le comptoir du Libre');
    }

    // @codingStandardsIgnoreStart
    public function _after(AcceptanceTester $I)// @codingStandardsIgnoreEnd
    {
    }

    /*********************************************************************************************
     ********************************* Software page *********************************************
     ********************************************************************************************/

    // Tests Sort by functionality on Softwares page
    public function checkSortBySoftwaresAsc(AcceptanceTester $I)
    {
        $firstSoftwareSortByAsc = '//ol/li[1]/div/a[@href="/fr/softwares/72"]'; // 7-zip
        $secondSoftwareSortByAsc = '//ol/li[2]/div/a[@href="/fr/softwares/29"]'; // Alfresco
        $Software95SortByAsc = '//ol/li[95]/div/a[@href="/fr/softwares/110"]'; // Zimbra

        $I->selectOption('//form/div[6]/select', 'softwarename.asc');
        $I->click('Filter');
        // Second paramater is only available on optionText, which make us dependent of I18N
        $I->seeOptionIsSelected('//form/div[6]/select', 'Ordre alphabétique : A-Z');
        $I->seeElement($firstSoftwareSortByAsc);
        $I->seeElement($secondSoftwareSortByAsc);
        $I->seeElement($Software95SortByAsc);
    }

    public function checkSortBySoftwaresDesc(AcceptanceTester $I)
    {

        $firstSoftwareSortByDesc = '//ol/li[1]/div/a[@href="/fr/softwares/24"]'; // Webdelib
        $secondSoftwareSortByDesc = '//ol/li[2]/div/a[@href="/fr/softwares/106"]'; // WebCiL
        $Software95SortByDesc = '//ol/li[95]/div/a[@href="/fr/softwares/70"]'; // Avidemux

        $I->selectOption('//form/div[6]/select', 'softwarename.desc');
        $I->click('Filter');
        // Second paramater is only available on optionText, which make us dependent of I18N
        $I->seeOptionIsSelected('//form/div[6]/select', 'Ordre alphabétique : Z-A');
        $I->seeElement($firstSoftwareSortByDesc);
        $I->seeElement($secondSoftwareSortByDesc);
        $I->seeElement($Software95SortByDesc);
    }

    public function checkSortBySoftwaresOlderToRecent(AcceptanceTester $I)
    {

        $firstSoftwareSortByOlderToRecent = '//ol/li[1]/div/a[@href="/fr/softwares/2"]'; // Pastell
        $secondSoftwareSortByOlderToRecent = '//ol/li[2]/div/a[@href="/fr/softwares/3"]'; // As@lae
        $Software95SortByOlderToRecent = '//ol/li[95]/div/a[@href="/fr/softwares/102"]'; // LDAP Tool Box..

        $I->selectOption('//form/div[6]/select', 'created.asc');
        $I->click('Filter');
        // Second paramater is only available on optionText, which make us dependent of I18N
        $I->seeOptionIsSelected('//form/div[6]/select', 'Date de création : plus ancienne d\'abord');
        $I->seeElement($firstSoftwareSortByOlderToRecent);
        $I->seeElement($secondSoftwareSortByOlderToRecent);
        $I->seeElement($Software95SortByOlderToRecent);
    }

    public function checkSortBySoftwaresRecentToOlder(AcceptanceTester $I)
    {

        $firstSoftwareSortByOlderToRecent = '//ol/li[1]/div/a[@href="/fr/softwares/110"]'; // Zimbra
        $secondSoftwareSortByOlderToRecent = '//ol/li[2]/div/a[@href="/fr/softwares/109"]'; // Apache JMeter
        $Software95SortByOlderToRecent = '//ol/li[95]/div/a[@href="/fr/softwares/13"]'; // Chouette2

        $I->selectOption('//form/div[6]/select', 'created.desc');
        $I->click('Filter');
        // Second paramater is only available on optionText, which make us dependent of I18N
        $I->seeOptionIsSelected('//form/div[6]/select', 'Date de création : plus récente d\'abord');
        $I->seeElement($firstSoftwareSortByOlderToRecent);
        $I->seeElement($secondSoftwareSortByOlderToRecent);
        $I->seeElement($Software95SortByOlderToRecent);
    }

    public function checkSortBySoftwaresModifiedOlderToRecent(AcceptanceTester $I)
    {

        $firstSoftwareSortByModifiedOlderFirst = '//ol/li[1]/div/a[@href="/fr/softwares/11"]'; // Xwiki
        $secondSoftwareSortByModifiedOlderFirst = '//ol/li[2]/div/a[@href="/fr/softwares/26"]'; // Publik
        $Software95SortByModifiedOlderFirst = '//ol/li[95]/div/a[@href="/fr/softwares/4"]'; // i-Parapheur

        $I->selectOption('//form/div[6]/select', 'modified.asc');
        $I->click('Filter');
        // Second paramater is only available on optionText, which make us dependent of I18N
        $I->seeOptionIsSelected('//form/div[6]/select', 'Date de mise à jour : plus ancienne d\'abord');
        $I->seeElement($firstSoftwareSortByModifiedOlderFirst);
        $I->seeElement($secondSoftwareSortByModifiedOlderFirst);
        $I->seeElement($Software95SortByModifiedOlderFirst);
    }

    public function checkSortBySoftwaresModifiedRecentToOlder(AcceptanceTester $I)
    {

        $firstSoftwareSortByModifiedRecentFirst = '//ol/li[1]/div/a[@href="/fr/softwares/9"]'; // Asquatasun
        $secondSoftwareSortByModifiedRecentFirst = '//ol/li[2]/div/a[@href="/fr/softwares/110"]'; // Zimbra
        $Software95SortByModifiedRecentFirst = '//ol/li[95]/div/a[@href="/fr/softwares/31"]'; // OBM

        $I->selectOption('//form/div[6]/select', 'modified.desc');
        $I->click('Filter');
        // Second paramater is only available on optionText, which make us dependent of I18N
        $I->seeOptionIsSelected('//form/div[6]/select', 'Date de mise à jour : plus récente d\'abord');
        $I->seeElement($firstSoftwareSortByModifiedRecentFirst);
        $I->seeElement($secondSoftwareSortByModifiedRecentFirst);
        $I->seeElement($Software95SortByModifiedRecentFirst);
    }

    public function checkSortBySoftwaresLowestToHighestScore(AcceptanceTester $I)
    {

        $firstSoftwareSortByLowToHightScore = '//ol/li[1]/div/a[@href="/fr/softwares/5"]'; // S2LOW
        $secondSoftwareSortByLowToHightScore = '//ol/li[2]/div/a[@href="/fr/softwares/43"]'; // GRR
        $Software95SortByLowToHightScore = '//ol/li[95]/div/a[@href="/fr/softwares/93"]'; // GLPI Plugin: ...

        $I->selectOption('//form/div[6]/select', 'average_review.asc');
        $I->click('Filter');
        // Second paramater is only available on optionText, which make us dependent of I18N
        $I->seeOptionIsSelected('//form/div[6]/select', 'Score : croissant');
        $I->seeElement($firstSoftwareSortByLowToHightScore);
        $I->seeElement($secondSoftwareSortByLowToHightScore);
        $I->seeElement($Software95SortByLowToHightScore);
    }

    public function checkSortBySoftwaresHighestToLowestScore(AcceptanceTester $I)
    {

        $firstSoftwareSortByHightToLowScore = '//ol/li[1]/div/a[@href="/fr/softwares/26"]'; // Publik
        $secondSoftwareSortByHightToLowScore = '//ol/li[2]/div/a[@href="/fr/softwares/10"]'; // Lutece
        $Software95SortByHightToLowScore = '//ol/li[95]/div/a[@href="/fr/softwares/75"]'; // FusionForge

        $I->selectOption('//form/div[6]/select', 'average_review.desc');
        $I->click('Filter');
        // Second paramater is only available on optionText, which make us dependent of I18N
        $I->seeOptionIsSelected('//form/div[6]/select', 'Score : décroissant');
        $I->seeElement($firstSoftwareSortByHightToLowScore);
        $I->seeElement($secondSoftwareSortByHightToLowScore);
        $I->seeElement($Software95SortByHightToLowScore);
    }

    // Test Sort by A-Z with specification
    public function checkSortBySoftwaresWithReview(AcceptanceTester $I)
    {

        $firstSoftwareWithReview = '//ol/li[1]/div/a[@href="/fr/softwares/29"]'; // Alfresco
        $secondSoftwareWithReview = '//ol/li[2]/div/a[@href="/fr/softwares/33"]'; // Libre Office
        $fifthSoftwareWithReview = '//ol/li[5]/div/a[@href="/fr/softwares/32"]'; // Webgfi

        $I->selectOption('//form/div[2]/select', 'true');
        $I->selectOption('//form/div[6]/select', 'softwarename.asc');
        $I->click('Filter');
        // Second paramater is only available on optionText, which make us dependent of I18N
        $I->seeOptionIsSelected('//form/div[2]/select', 'Oui');
        $I->seeOptionIsSelected('//form/div[6]/select', 'Ordre alphabétique : A-Z');
        $I->seeElement($firstSoftwareWithReview);
        $I->seeElement($secondSoftwareWithReview);
        $I->seeElement($fifthSoftwareWithReview);
    }

    public function checkSortBySoftwaresWithScreenshots(AcceptanceTester $I)
    {

        $firstSoftwareWithReview = '//ol/li[1]/div/a[@href="/fr/softwares/3"]'; // As@lae
        $secondSoftwareWithReview = '//ol/li[2]/div/a[@href="/fr/softwares/9"]'; // Asquatasun
        $fifthSoftwareWithReview = '//ol/li[5]/div/a[@href="/fr/softwares/20"]'; // Exoplatform
        $fourteenthSoftwareWithReview = '//ol/li[14]/div/a[@href="/fr/softwares/12"]'; // Xemelios

        $I->selectOption('//form/div[3]/select', 'true');
        $I->selectOption('//form/div[6]/select', 'softwarename.asc');
        $I->click('Filter');
        // Second paramater is only available on optionText, which make us dependent of I18N
        $I->seeOptionIsSelected('//form/div[3]/select', 'Oui');
        $I->seeOptionIsSelected('//form/div[6]/select', 'Ordre alphabétique : A-Z');
        $I->seeElement($firstSoftwareWithReview);
        $I->seeElement($secondSoftwareWithReview);
        $I->seeElement($fifthSoftwareWithReview);
        $I->seeElement($fourteenthSoftwareWithReview);
    }

    public function checkSortBySoftwaresWithUser(AcceptanceTester $I)
    {

        $firstSoftwareWithUser = '//ol/li[1]/div/a[@href="/fr/softwares/29"]'; // Alfresco
        $secondSoftwareWithUser = '//ol/li[2]/div/a[@href="/fr/softwares/3"]'; // As@lae
        $fifthSoftwareWithUser = '//ol/li[5]/div/a[@href="/fr/softwares/35"]'; // GLPI
        $fourteenthSoftwareWithUser = '//ol/li[14]/div/a[@href="/fr/softwares/14"]'; // openRecensement

        $I->selectOption('//form/div[4]/select', 'true');
        $I->selectOption('//form/div[6]/select', 'softwarename.asc');
        $I->click('Filter');
        // Second paramater is only available on optionText, which make us dependent of I18N
        $I->seeOptionIsSelected('//form/div[4]/select', 'Oui');
        $I->seeOptionIsSelected('//form/div[6]/select', 'Ordre alphabétique : A-Z');
        $I->seeElement($firstSoftwareWithUser);
        $I->seeElement($secondSoftwareWithUser);
        $I->seeElement($fifthSoftwareWithUser);
        $I->seeElement($fourteenthSoftwareWithUser);
    }

    public function checkSortBySoftwaresWithServicePrivider(AcceptanceTester $I)
    {

        $firstSoftwareWithServicePrivider = '//ol/li[1]/div/a[@href="/fr/softwares/29"]'; // Alfresco
        $secondSoftwareWithServicePrivider = '//ol/li[2]/div/a[@href="/fr/softwares/109"]'; // ApacheJmeter
        $fifthSoftwareWithServicePrivider = '//ol/li[5]/div/a[@href="/fr/softwares/9"]'; // Asqatasun
        $fourteenthSoftwareWithServicePrivider = '//ol/li[14]/div/a[@href="/fr/softwares/103"]'; // LDAP Tool Box White Pages

        $I->selectOption('//form/div[5]/select', 'true');
        $I->selectOption('//form/div[6]/select', 'softwarename.asc');
        $I->click('Filter');
        // Second paramater is only available on optionText, which make us dependent of I18N
        $I->seeOptionIsSelected('//form/div[5]/select', 'Oui');
        $I->seeOptionIsSelected('//form/div[6]/select', 'Ordre alphabétique : A-Z');
        $I->seeElement($firstSoftwareWithServicePrivider);
        $I->seeElement($secondSoftwareWithServicePrivider);
        $I->seeElement($fifthSoftwareWithServicePrivider);
        $I->seeElement($fourteenthSoftwareWithServicePrivider);
    }

}
